Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge
Class ArgumentFactory

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.ArgumentFactory

Direct Known Subclasses:
  ArgumentFactoryImpl

    public abstract class ArgumentFactory

extends Object

Constructor Summary
`ArgumentFactory()`

Method Summary
`abstract ClassArgument` | `createClassArgument(String className)`
`abstract DatatypePropertyArgument` | `createDatatypePropertyArgument(String propertyName)`
`abstract DatatypeValueArgument` | `createDatatypeValueArgument(BigDecimal bd)`
`abstract DatatypeValueArgument` | `createDatatypeValueArgument(BigInteger bi)`
`abstract DatatypeValueArgument` | `createDatatypeValueArgument(boolean b)`
`abstract DatatypeValueArgument` | `createDatatypeValueArgument(Byte b)`
`abstract DatatypeValueArgument` | `createDatatypeValueArgument(double d)`
`abstract DatatypeValueArgument` | `createDatatypeValueArgument(float f)`
`abstract DatatypeValueArgument` | `createDatatypeValueArgument(int i)`
`abstract DatatypeValueArgument` | `createDatatypeValueArgument(long l)`
`abstract DatatypeValueArgument` | `createDatatypeValueArgument(Number n)`
`abstract DatatypeValueArgument` | `createDatatypeValueArgument(OWLModel owlModel, RDFSLiteral literal)`
`abstract DatatypeValueArgument` | `createDatatypeValueArgument(PrimitiveXSDType xsd)`
`abstract DatatypeValueArgument` | `createDatatypeValueArgument(short s)`
`abstract DatatypeValueArgument` | `createDatatypeValueArgument(String s)`
`abstract IndividualArgument` | `createIndividualArgument(String individualName)`
`abstract MultiArgument` | `createMultiArgument(String variableName, String prefixedVariableName)`
`abstract MultiArgument` | `createMultiArgument(String variableName, String prefixedVariableName, List<BuiltInArgument> arguments)`
`abstract ObjectPropertyArgument` | `createObjectPropertyArgument(String propertyName)`
`static ArgumentFactory` | `getFactory()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgumentFactory

    public ArgumentFactory()

Method Detail

### getFactory

    public static ArgumentFactory getFactory()

### createClassArgument

    public abstract ClassArgument createClassArgument(String className)

### createIndividualArgument

    public abstract IndividualArgument createIndividualArgument(String individualName)

### createObjectPropertyArgument

    public abstract ObjectPropertyArgument createObjectPropertyArgument(String propertyName)

### createDatatypePropertyArgument

    public abstract DatatypePropertyArgument createDatatypePropertyArgument(String propertyName)

### createDatatypeValueArgument

    public abstract DatatypeValueArgument createDatatypeValueArgument(String s)

### createDatatypeValueArgument

    public abstract DatatypeValueArgument createDatatypeValueArgument(Number n)

### createDatatypeValueArgument

    public abstract DatatypeValueArgument createDatatypeValueArgument(boolean b)

### createDatatypeValueArgument

    public abstract DatatypeValueArgument createDatatypeValueArgument(int i)

### createDatatypeValueArgument

    public abstract DatatypeValueArgument createDatatypeValueArgument(long l)

### createDatatypeValueArgument

    public abstract DatatypeValueArgument createDatatypeValueArgument(float f)

### createDatatypeValueArgument

    public abstract DatatypeValueArgument createDatatypeValueArgument(double d)

### createDatatypeValueArgument

    public abstract DatatypeValueArgument createDatatypeValueArgument(short s)

### createDatatypeValueArgument

    public abstract DatatypeValueArgument createDatatypeValueArgument(Byte b)

### createDatatypeValueArgument

    public abstract DatatypeValueArgument createDatatypeValueArgument(BigDecimal bd)

### createDatatypeValueArgument

    public abstract DatatypeValueArgument createDatatypeValueArgument(BigInteger bi)

### createDatatypeValueArgument

    public abstract DatatypeValueArgument createDatatypeValueArgument(PrimitiveXSDType xsd)

### createDatatypeValueArgument

    public abstract DatatypeValueArgument createDatatypeValueArgument(OWLModel owlModel,
                                                                      RDFSLiteral literal)
                                                               throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### createMultiArgument

    public abstract MultiArgument createMultiArgument(String variableName,
                                                      String prefixedVariableName)

### createMultiArgument

    public abstract MultiArgument createMultiArgument(String variableName,
                                                      String prefixedVariableName,
                                                      List<BuiltInArgument> arguments)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.